aboutsummaryrefslogtreecommitdiffstats
path: root/app-office/obsidian
diff options
context:
space:
mode:
Diffstat (limited to 'app-office/obsidian')
-rw-r--r--app-office/obsidian/Manifest5
-rw-r--r--app-office/obsidian/metadata.xml12
-rw-r--r--app-office/obsidian/obsidian-1.8.7.ebuild122
3 files changed, 139 insertions, 0 deletions
diff --git a/app-office/obsidian/Manifest b/app-office/obsidian/Manifest
new file mode 100644
index 0000000..29fe219
--- /dev/null
+++ b/app-office/obsidian/Manifest
@@ -0,0 +1,5 @@
+DIST obsidian-1.8.7-amd64.tar.gz 110353378 BLAKE2B 6d6158e3d32cf2c247496e5a0e93a36614c7240b9d3add404230339b44287ec71893994820e7a4e7d8429d89da06cf7f48f06b1ecd3c11f6384f2f3fc5ab2252 SHA512 5c4af232e715bde4639860a3a0ff62d767bcef046d3d938a03eb9276c7a38248ca7e9e05dd3c48c98480684aaf0c4f5df91cb63de049e5bc8094e5089c40bd69
+DIST obsidian-1.8.7-arm64.tar.gz 114844467 BLAKE2B 8643917644a67faeb1f46f3fb07a7005e5925a4ca2085e03a41724877e03a6c5ea14008dfb90620f862780b8cc2ef0662f3f504b658346fff84f0b50dad82a03 SHA512 9b0f88ab1d636cfc8c26fd2fdf7cf4ddf0461afa5c2efdff3423afb512b45ee497f01c77fc8f1dce8b82af20023b9045bed85b08d936e4a90678ff23d4904c2a
+DIST obsidian-1.8.7.gh.deb 80565332 BLAKE2B 4496db7b9e74614d3225298cd48a94794b891b880dfd43dd520f5d3d353296494ae595bf9b0433d1b4ce34db8c5dc17b3a13b9a0867e0f97ba28339f5388abd0 SHA512 9eff5bbfa0c370df91286707569f9c7b0559519ee8f3f1fff7cc58c865629cd76584c0012295c5afc75858d77a852af4b1ef3f9493d8ffbd5b46e78311102447
+EBUILD obsidian-1.8.7.ebuild 3512 BLAKE2B 99e35dbad968f2c825391d98c08587c103eb76f91477b609f170dd14b0446fce5664c6b4244b84687f017f10c77756a7d5dad066dae60a17092c5029a0406836 SHA512 729d630f471dda3d1a6d055c3cf49b0712f4792a009d8fb60ca334d843617cd5d4b1ae947efc48676d62ad683b28b791ba2a809e9285302e7a23c769060f5ced
+MISC metadata.xml 472 BLAKE2B c944a4d04c0e0721ba17ee8c657686c90de698bc95e8d5ea8d2ffbee7bb358961a28ae4d976c260a5afeae9d6c32a251555ea0bb244e64aa139e6b50ed3d817e SHA512 97bce48d1ef6dc7114add0fc18e056bdce3925f0f469aceda2db414c6cd5f76fc1115af1740911ecf4a1efaa9cb3eb3f4b7ddb7eb23c97add6daf7d5c3d571fb
diff --git a/app-office/obsidian/metadata.xml b/app-office/obsidian/metadata.xml
new file mode 100644
index 0000000..9e6fa29
--- /dev/null
+++ b/app-office/obsidian/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>wolf@oriole.systems</email>
+ </maintainer>
+ <longdescription lang="en">Obsidian is a powerful and extensible knowledge base
+that works on top of your local folder of plain text files.</longdescription>
+ <upstream>
+ <remote-id type="github">obsidianmd/obsidian-releases</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/app-office/obsidian/obsidian-1.8.7.ebuild b/app-office/obsidian/obsidian-1.8.7.ebuild
new file mode 100644
index 0000000..c88e1a1
--- /dev/null
+++ b/app-office/obsidian/obsidian-1.8.7.ebuild
@@ -0,0 +1,122 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CHROMIUM_VERSION="102"
+CHROMIUM_LANGS="
+ af am ar bg bn ca cs da de el en-GB en-US es es-419 et fa fi fil fr gu he hi
+ hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt-BR pt-PT ro ru sk sl sr sv
+ sw ta te th tr uk ur vi zh-CN zh-TW
+"
+inherit chromium-2 desktop linux-info unpacker xdg
+
+DESCRIPTION="A second brain, for you, forever."
+HOMEPAGE="https://obsidian.md/"
+
+# For some reason, the main binary tarballs don't include the .desktop file or
+# icon. The .deb does. One would hope then, that we could just download the .deb
+# for each arch, but they only generate a .deb for amd64. Maybe we can get them
+# to fix this, but in the meantime, we download the .deb purely to get the
+# .desktop file and app icon out of it.
+SRC_URI="
+ https://github.com/obsidianmd/obsidian-releases/releases/download/v${PV}/${P/-/_}_amd64.deb -> ${P}.gh.deb
+ amd64? ( https://github.com/obsidianmd/obsidian-releases/releases/download/v${PV}/${P}.tar.gz -> ${P}-amd64.tar.gz )
+ arm64? ( https://github.com/obsidianmd/obsidian-releases/releases/download/v${PV}/${P}-arm64.tar.gz )
+"
+
+DIR="/opt/${PN^}"
+
+# deb gets extracted to WORKDIR. actual program gets extracted to its own dir
+# which depends on CPU arch.
+S="${WORKDIR}"
+
+LICENSE="Obsidian-EULA"
+SLOT="0"
+KEYWORDS="-* amd64"
+IUSE="wayland"
+RESTRICT="mirror strip bindist"
+
+RDEPEND="
+ >=app-accessibility/at-spi2-core-2.46.0:2
+ app-crypt/libsecret[crypt]
+ dev-libs/expat
+ dev-libs/glib:2
+ dev-libs/nspr
+ dev-libs/nss
+ media-libs/alsa-lib
+ media-libs/fontconfig
+ media-libs/mesa
+ x11-libs/cairo
+ x11-libs/libdrm
+ x11-libs/gdk-pixbuf:2
+ x11-libs/gtk+:3
+ x11-libs/libX11
+ x11-libs/libXcomposite
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXrandr
+ x11-libs/libxcb
+ x11-libs/libxkbcommon
+ x11-libs/libxshmfence
+ x11-libs/pango
+"
+
+QA_PREBUILT="*"
+
+CONFIG_CHECK="~USER_NS"
+
+src_configure() {
+ default
+ chromium_suid_sandbox_check_kernel_config
+}
+
+src_prepare() {
+ default
+
+ pushd "${S}/${P}/locales/" >/dev/null || die "location change for language cleanup failed"
+ chromium_remove_language_paks
+ popd >/dev/null || die "location reset for language cleanup failed"
+
+ if use wayland; then
+ sed -i \
+ '/Exec/s/obsidian /obsidian --ozone-platform-hint=auto --enable-features=UseOzonePlatform,WaylandWindowDecorations /' \
+ 'usr/share/applications/obsidian.desktop' ||
+ die "sed failed for obsidian.desktop file"
+ fi
+}
+
+src_install() {
+ insinto "${DIR}"
+ exeinto "${DIR}"
+
+ pushd "${S}/${P}" >/dev/null || die "location change for main install failed"
+
+ doexe obsidian chrome-sandbox libEGL.so libffmpeg.so libGLESv2.so libvk_swiftshader.so libvulkan.so.1
+ doins chrome_100_percent.pak chrome_200_percent.pak icudtl.dat resources.pak snapshot_blob.bin \
+ v8_context_snapshot.bin vk_swiftshader_icd.json
+ insopts -m0755
+ doins -r locales resources
+
+ # Chrome-sandbox requires the setuid bit to be specifically set.
+ # see https://github.com/electron/electron/issues/17972
+ fowners root "${DIR}/chrome-sandbox"
+ fperms 4711 "${DIR}/chrome-sandbox"
+
+ [[ -x chrome_crashpad_handler ]] && doins chrome_crashpad_handler
+
+ popd >/dev/null || die "location reset for main install failed"
+
+ dosym "${DIR}/obsidian" "/usr/bin/obsidian"
+
+ domenu usr/share/applications/obsidian.desktop
+
+ for size in 16 32 48 64 128 256 512; do
+ doicon --size ${size} usr/share/icons/hicolor/${size}x${size}/apps/${PN}.png
+ done
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+}